# Debug Meal Plan Conditions

Use the `DebugMPConditions` to get the conditions set for a meal plan.

### List of Fields

<table data-header-hidden><thead><tr><th></th><th width="150" align="center"></th><th></th></tr></thead><tbody><tr><td><strong>Field Name</strong></td><td align="center"><strong>Type</strong></td><td><strong>Description</strong></td></tr><tr><td><code>chocdf</code></td><td align="center">Int</td><td>Carbs</td></tr><tr><td><code>decrease</code></td><td align="center">String</td><td>List of food that needs to be decreased</td></tr><tr><td><code>fat</code></td><td align="center">Int</td><td>Fat</td></tr><tr><td><code>increase</code></td><td align="center">String</td><td>List of food that needs to be  increased</td></tr><tr><td><code>maxEnercKcal</code></td><td align="center">Int</td><td>Maximum number of Daily Calorie Intake. Expresed in kilocalories.</td></tr><tr><td><code>omega3</code></td><td align="center">Int</td><td>Omega3 </td></tr><tr><td><code>procnt</code></td><td align="center">Int</td><td>Protein</td></tr><tr><td> <code>maxNumOfServings</code></td><td align="center">Int</td><td>A maximum number of servings per meal is allowed in the meal plan. Must be between 1 and 15. Default is 15.</td></tr><tr><td><code>maxServingWeight</code> </td><td align="center">Int</td><td>Maximum serving weight in grams per meal. Default is 600.</td></tr><tr><td><code>minServingWeight</code> </td><td align="center">Int</td><td>Minimum serving weight in grams per meal. Default is 100.</td></tr><tr><td><code>distribution</code></td><td align="center">DebugMPMealTimeValues</td><td>Percentage of the daily calories goal that each meal type covers. It inlcudes: <code>breakfastDistribution</code>, <code>lunchDistribution</code>,<code>dinnerDistribution</code>, and <code>snackDistribution</code> </td></tr><tr><td><code>maxPrepTimeMinutes</code></td><td align="center">bugMPMealTimeValues</td><td><p></p><p>Object that returns the maximum values for each meal. Expressed in minutes.</p><p>For example, maximum preparation time for the following meals:</p><ul><li>breakfast </li><li>lunch</li><li>dinner</li><li>snack</li></ul></td></tr><tr><td><code>maxIngredientsCount</code></td><td align="center"><a href="https://docs.suggestic.com/graphql/objects/meal-plan/maximum-ingredient-count">maxIngredientsCount</a></td><td><p></p><p>Object that returns the maximum values for each meal. Expressed in minutes.</p><p>For example, maximum ingredient count for the following meals:</p><ul><li>breakfast: 7 </li><li>lunch: 5</li><li>dinner: 5</li><li>snack: 6</li></ul></td></tr></tbody></table>

Use this object in the following:

* [`debugMealPlanVariables`](https://docs.suggestic.com/graphql/query/queries/meal-plan/users-default-meal-plan-config) query


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/meal-plan/debug-meal-plan-conditions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
